Bug 10520 - problem with hardware clocks set to localtime
Summary: problem with hardware clocks set to localtime
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-02 17:03 UTC by Trond Eivind Glomsrød
Modified: 2014-03-17 02:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-03 15:14:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Trond Eivind Glomsrød 2000-04-02 17:03:36 UTC
When you change from using UTC to using localtime on your computer (using
timeconfig), the system time won't be reflecting this even after a reboot.
Fix:

--- rc.sysinit.old      Wed Feb 23 13:12:09 2000
+++ rc.sysinit  Sun Apr  2 13:00:07 2000
@@ -72,6 +72,10 @@
     CLOCKFLAGS="$CLOCKFLAGS -u";
     CLOCKDEF="$CLOCKDEF (utc)";
   ;;
+  no|false)
+    CLOCKFLAGS="$CLOCKFLAGS --localtime";
+    CLOCKDEF="$CLOCKDEF (localtime)";
+  ;;
 esac

 case "$ARC" in

Comment 1 Bill Nottingham 2000-04-03 15:14:59 UTC
Hm, hwclock is strange. Will be fixed when 5.06 is released.


Note You need to log in before you can comment on or make changes to this bug.